Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rsock_send_arg Struct Reference

`#include <rubysocket.h>`

## Data Fields
int | fd
int | flags
VALUE | mesg
struct sockaddr * | to
socklen_t | tolen

## Detailed Description

Definition at line 329 of file rubysocket.h.

## Field Documentation

## ◆ fd

int rsock_send_arg::fd

Definition at line 330 of file rubysocket.h.

## ◆ flags

int rsock_send_arg::flags

Definition at line 330 of file rubysocket.h.

Referenced by rsock_bsock_send().

## ◆ mesg

VALUE rsock_send_arg::mesg

Definition at line 331 of file rubysocket.h.

Referenced by rsock_send_blocking(), and rsock_sendto_blocking().

## ◆ to

struct sockaddr* rsock_send_arg::to

Definition at line 332 of file rubysocket.h.

Referenced by rsock_bsock_send().

## ◆ tolen

socklen_t rsock_send_arg::tolen

Definition at line 333 of file rubysocket.h.

The documentation for this struct was generated from the following file:

- ext/socket/rubysocket.h